This URL gets the exportable exceptions from the Manager.
Resource URL
GET /domain/<domain_id>/exceptions/export
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of exportable exceptions | Object |
Details of exportablePolicyList:
Field Name | Description | Data Type |
|---|---|---|
| List of exportable exception detail | ObjectList |
Details of exportablePolicyDetail:
Field Name | Description | Data Type |
|---|---|---|
| Name of the policy | String |
| Type of the policy:
| String |
| ID of the policy | Integer |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/exceptions/export
Response
{
'exportablePolicyDetail': [{
'policyName': 'test1',
'policyType': 'EXCEPTIONS',
'policyId': 301
},
{
'policyName': 'test2',
'policyType': 'EXCEPTIONS',
'policyId': 302
}]
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |